# libtimidity.cpp File Reference

Playing music via the timidity library. More...

`#include "../stdafx.h"`
`#include "../openttd.h"`
`#include "../sound_type.h"`
`#include "../variables.h"`
`#include "../debug.h"`
`#include "libtimidity.h"`
`#include <fcntl.h>`
`#include <sys/types.h>`
`#include <sys/wait.h>`
`#include <unistd.h>`
`#include <signal.h>`
`#include <sys/stat.h>`
`#include <errno.h>`
`#include <timidity.h>`

Go to the source code of this file.

## Enumerations
enum | MidiState { MIDI_STOPPED = 0, MIDI_PLAYING = 1 }
## Variables
struct {
MidIStream * stream
MidSongOptions options
MidSong * song
MidiState status
uint32 song_length
uint32 song_position
} | _midi
static FMusicDriver_LibTimidity | iFMusicDriver_LibTimidity

## Detailed Description

Playing music via the timidity library.

Definition in file libtimidity.cpp.